Subject: Re: js/ci-github-workflow-markup output regression

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Jun 2022 12:27:45 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> Further, since this failure is outside of any `test_expect_success` or
>> `test_expect_failure`, the error message about this is not even included
>> in the weblogs (but of course it is included in the full logs that are
>> included in the build artifacts). For the record, here is the error
>> message:
>
> ...this part of it though seems like a pretty bad regression in your
> merged-to-next js/ci-github-workflow-markup topic, which just happens to
> be unearthed by this CI failure.

Indeed it makes it impossible to figure it out things like this
case.  But ...

> But this does look easy to "solve" with a quicker fix, just bringing
> back the "ci/print-test-failures.sh" step so you can at least expand it,
> and not have to go to the "summary" and download the *.zip of the log
> itself. As that shows we still have the raw log there, it just didn't
> make it to the new GitHub Markdown formatting mechanism.

... it seems a solution is possible?  Care to send in a patch (or
perhaps Dscho already has a counter-proposal)?

Thanks.